aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Author Topic: callgrind-0.9.10 compile error..  (Read 3179 times)

Ateo

  • Full Member
  • ***
  • Karma: 0
  • Offline Offline
  • Posts: 138
  • pfft.
    • http://www.atheistnetwork.com
callgrind-0.9.10 compile error..
« on: December 07, 2004, 02:00:29 AM »

I'm trying to installed kdesdk as to use KBabel to help with amule translations. However, it appears that callgrind-0.9.10 is a dependancy but it doesn't want to compile on my box. Here is the error:

Code: [Select]
sim.c:696: error: can't find a register in class `BREG' while reloading `asm'
sim.c:696: error: can't find a register in class `BREG' while reloading `asm'
sim.c:696: error: can't find a register in class `BREG' while reloading `asm'
sim.c:696: error: can't find a register in class `BREG' while reloading `asm'
sim.c:696: error: can't find a register in class `BREG' while reloading `asm'
sim.c:696: error: can't find a register in class `BREG' while reloading `asm'
make[2]: *** [sim.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: Leaving directory `/storage/portage/tmp/portage/callgrind-0.9.10/work/callgrind-0.9.10/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/storage/portage/tmp/portage/callgrind-0.9.10/work/callgrind-0.9.10/src'
make: *** [all-recursive] Error 1
It appears taht sim.c is breaking compilation. If anyone can give me any pointers, I'd much appreciate it.
Logged
-- El payaso cabron me dice que tengo que consumir!

Jacobo221

  • Hero Member
  • *****
  • Karma: 3
  • Offline Offline
  • Posts: 2711
Re: callgrind-0.9.10 compile error..
« Reply #1 on: December 07, 2004, 03:40:16 AM »

i think you should ask in gentoo forums about this. maybe at kde forums.
but well, I hope someone comes up with an answer here ;)

anyway, why not just installing the rpms?

Greetings!
Logged

Ateo

  • Full Member
  • ***
  • Karma: 0
  • Offline Offline
  • Posts: 138
  • pfft.
    • http://www.atheistnetwork.com
Re: callgrind-0.9.10 compile error..
« Reply #2 on: December 07, 2004, 06:45:09 PM »

Hehe. I posted on the gentoo forum before here. Always do.

I don't have the first clue about rpm other than they are precompiled for redhat/mandrake. Am I correct? If anything, I'll just installed (or attempt to) stand alone KBabel.

Blah
Logged
-- El payaso cabron me dice que tengo que consumir!

Jacobo221

  • Hero Member
  • *****
  • Karma: 3
  • Offline Offline
  • Posts: 2711
Re: callgrind-0.9.10 compile error..
« Reply #3 on: December 07, 2004, 07:30:32 PM »

i don't use gentoo, but as far as I know, it can use rpms and debs too. so get some deb or rpm and install it. how? well... you'll hav eto ask in gentoo forums xD

Greetings!
Logged

Ateo

  • Full Member
  • ***
  • Karma: 0
  • Offline Offline
  • Posts: 138
  • pfft.
    • http://www.atheistnetwork.com
Re: callgrind-0.9.10 compile error..
« Reply #4 on: December 07, 2004, 10:05:08 PM »

I'll have to look into this because in the 2 years I've been using gentoo, I've really never had a need to investigate gentoo + rpm + deb.

I'll probably leave the rpm as my last alternative as I prefer compiling my packages from source.
Logged
-- El payaso cabron me dice que tengo que consumir!

Ateo

  • Full Member
  • ***
  • Karma: 0
  • Offline Offline
  • Posts: 138
  • pfft.
    • http://www.atheistnetwork.com
Re: callgrind-0.9.10 compile error..
« Reply #5 on: December 08, 2004, 07:36:22 AM »

I have no idea what I did but I was finally able to install callgrind after rpm failed to install... Damn. :]
Logged
-- El payaso cabron me dice que tengo que consumir!

lfroen

  • Guest
Re: callgrind-0.9.10 compile error..
« Reply #6 on: December 08, 2004, 10:29:51 AM »

Ateo: have you looked at the name of this very site ? Does it looks like it have anything to do with valgrind ?

As Jacobo221 already pointed out you should ask on right place. Pleas ask there :)
Logged

Ateo

  • Full Member
  • ***
  • Karma: 0
  • Offline Offline
  • Posts: 138
  • pfft.
    • http://www.atheistnetwork.com
Re: callgrind-0.9.10 compile error..
« Reply #7 on: December 09, 2004, 08:49:34 PM »

Then perhaps you should change the forum description because it's misleading. From my understanding of the description, this is for linux help. Well, I needed help installing a program on linux..

In all honesty, the english on this aMule is rather.. well, not 100%. I'm *NOT* trivializing ANYONE's english because everyone's english (who's native lang is not english) IS very good. Hell, it's friggin impressive. Nonetheless, the forum description is misleading... :)

I've already offered my assistance to Jacobo.
« Last Edit: December 09, 2004, 08:50:12 PM by Ateo »
Logged
-- El payaso cabron me dice que tengo que consumir!

Jacobo221

  • Hero Member
  • *****
  • Karma: 3
  • Offline Offline
  • Posts: 2711
Re: callgrind-0.9.10 compile error..
« Reply #8 on: December 10, 2004, 07:29:22 AM »

many ppl say the forum's title is misleading, but the thing is that IMO it's quite ok. the real purpose of this forum is for linux related aMule issues.
of course, "out of topic - aMule" questions are wellcome too, but no one can grant that they'll be answered since we are no Linux gurus ;-) only aMule gurus here hehehee

about english... hohohohohohohoo (no comments xDDD)

donations needed for english classes ;-P
Logged